package com.yuchen.saas.device.api.enums.scene;

/**
 * 场景联动规则uri 字典
 */
public enum DeviceSceneLinkageRuleTriggerUriEnum {

    TRIGGER_DEVICE_PROPERTY(1,"设备状态-属性","trigger/device/property"),
    TRIGGER_DEVICE_EVENT(2,"设备状态-事件","trigger/device/event"),
    TRIGGER_DEVICE_DEVICESTATUSCHANGE(3,"上下线触发","trigger/device/deviceStatusChange"),

    ;
    private Integer value;
    private String name;

    private String uri;

    DeviceSceneLinkageRuleTriggerUriEnum(Integer value, String name, String uri){
        this.value=value;
        this.name=name;
        this.uri=uri;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
